GNU bug report logs - #48850
[PATCH] gnu: coreutils: Disable inotify-dir-recreate test

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Carl Dong <contact@HIDDEN>; Keywords: patch; Done: Carl Dong <contact@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.
bug marked as fixed in version 6ba1058df0c4ce5611c2367531ae5c3cdc729ab4, send any further explanations to 48850 <at> debbugs.gnu.org and Carl Dong <contact@HIDDEN> Request was from Carl Dong <contact@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 48850 <at> debbugs.gnu.org:


Received: (at 48850) by debbugs.gnu.org; 11 Jun 2021 13:56:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 11 09:56:49 2021
Received: from localhost ([127.0.0.1]:39757 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lrheS-0005EK-Sm
	for submit <at> debbugs.gnu.org; Fri, 11 Jun 2021 09:56:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60268)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lrheR-0005E8-Iu
 for 48850 <at> debbugs.gnu.org; Fri, 11 Jun 2021 09:56:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56658)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lrheM-0003Nw-2s; Fri, 11 Jun 2021 09:56:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49250 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lrheL-0002DH-OV; Fri, 11 Jun 2021 09:56:41 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: [PATCH v3] gnu: coreutils: Disable inotify-dir-recreate test
References: <20210607215058.3989424-1-contact@HIDDEN>
 <20210608183814.3099881-1-contact@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 Prairial an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 11 Jun 2021 15:56:40 +0200
In-Reply-To: <20210608183814.3099881-1-contact@HIDDEN> (Carl Dong's
 message of "Tue, 8 Jun 2021 14:38:15 -0400")
Message-ID: <87lf7g8pyf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48850
Cc: 48850 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Carl,

Carl Dong <contact@HIDDEN> skribis:

> Fixed my quoting thanks to mbakke :-)
>
> ---
>
> This test fails on filesystems where tail detects that it cannot use
> inotify safely. See https://issues.guix.gnu.org/47935 for more details.
>
> * gnu/packages/base.scm (coreutils)[phases]: Disable
>   inotify-dir-recreate tests, quote Hurd substitute* call to reduce
>   rebuilds.

LGTM and OK for =E2=80=98core-updates=E2=80=99, thanks!

Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48850; Package guix-patches. Full text available.

Message received at 48850 <at> debbugs.gnu.org:


Received: (at 48850) by debbugs.gnu.org; 8 Jun 2021 18:39:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 08 14:39:17 2021
Received: from localhost ([127.0.0.1]:59789 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqgdA-00033y-Pj
	for submit <at> debbugs.gnu.org; Tue, 08 Jun 2021 14:39:17 -0400
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:39731)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1lqgd7-00033f-Rb
 for 48850 <at> debbugs.gnu.org; Tue, 08 Jun 2021 14:39:16 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.west.internal (Postfix) with ESMTP id 0C4141C27;
 Tue,  8 Jun 2021 14:39:07 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute5.internal (MEProxy); Tue, 08 Jun 2021 14:39:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding; s=fm1; bh=AEZAprltHB3hb
 kv/SscqMAGe6Eo+JvG4I09/dpITcrg=; b=oAjSraKvM2LtuAL5DJ5gQo0WGigbq
 MBwts+JqkzB3SRbQps8xuQXwGnf3nvJSBQGo3g3aQDqmsxDBWIGRjoTa6sFdz4TJ
 25MMgnzfoCMAtUEmoFbMAoJ1vyRmshAt7e9P9qo4IhJ78vJm0xU0Al5xOLE1dSlg
 jeeGId9x+bwPRWnid4s0lj89rhhX2eCCou9MFU+0AU9Mb8N+A6lcTwirgMla/eMl
 YigS2TTpKrb3nTlqzYFZfX91pLEZSL+T1yqjMB4TcdkA5TmHk22y2GbRxFzN033K
 HRWUIduI93WAdB7v1uvEhEJShxyDEFt2MYrfL3X52bC7eGov/r4va5Bqg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=AEZAprltHB3hbkv/SscqMAGe6Eo+JvG4I09/dpITcrg=; b=c5t5dLuF
 sQgvOr2nZrqjuwedCGIu+w1CgqKxvcoHzHq6GJPPP0DE2iV6LWnawtmIWrAtbc1n
 SNYK2VkJo95bchq2BTyq6kDz8/y5t6XuTTShkATVnOxbd5zRxrUJt+yGd2zsV3q2
 vvjW+QsT2ZZ+3LhMw5uzGsGkQVvY5c9+N7HamqFOIxI6j5vs9895/QxemuO6COdS
 V9Hzcw0BoTY6acLvapHlFU8Kx8qaf8CdKbmvbsnoBQhf7O0KPMrToWrC2/khYbDf
 usBGtQ3oJVHMc65XZSuM9CUCKSq9UYDkURxq5IrIbIyLr1gLmw7TfEj0MLG2Y2C6
 HqcNDZYswWW4lw==
X-ME-Sender: <xms:S7m_YPWRz5-05Bz3LDqiTpkJ900OhH0LLxzbDba-gPVncChGIjl69w>
 <xme:S7m_YHlfVdQDfTuzh_jbRmmjc6MzJCJBKYs5cZlu7VLpvgKG2kl3HD8PsLpVanYde
 dQ5J0ikLVTawg3U2g>
X-ME-Received: <xmr:S7m_YLa0DAX7peUdI4oy2XTCrD2zG2VZ3kO0yav-yaDLt3HKdNOGWJ80-ZT-s__xchmT0tOR>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfedtledgudduvdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkffojghfggfgsedtke
 ertdertddtnecuhfhrohhmpeevrghrlhcuffhonhhguceotghonhhtrggtthestggrrhhl
 ughonhhgrdhmvgeqnecuggftrfgrthhtvghrnhepuefftefhteevgffflefffeevffefgf
 dvgefffffhvdetfeekudffgfeuvdejtdejnecuffhomhgrihhnpehgnhhurdhorhhgnecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheptghonhhtrg
 gtthestggrrhhlughonhhgrdhmvg
X-ME-Proxy: <xmx:S7m_YKXhb0EFB79JsFK9IGY3C9fDkMUT7QGQkMypiFvX1mFhO1IQ3w>
 <xmx:S7m_YJkVvbcXdIw88XlWVDrvjfZjQ3EQLtARiT7VIE_l7Db-WcEQUg>
 <xmx:S7m_YHdE3DRB0WjckEAcJVGf0jskrchm0zdQ2uBqZRodIjtmRpw6lA>
 <xmx:S7m_YJucwR-pFWmVvADeNUuXrZvda2gwz2NGYOXQ2gGNKYy9OqZ0Dw>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Tue,
 8 Jun 2021 14:39:07 -0400 (EDT)
From: Carl Dong <contact@HIDDEN>
To: ludo@HIDDEN
Subject: [PATCH v3] gnu: coreutils: Disable inotify-dir-recreate test
Date: Tue,  8 Jun 2021 14:38:15 -0400
Message-Id: <20210608183814.3099881-1-contact@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <20210607215058.3989424-1-contact@HIDDEN>
References: <20210607215058.3989424-1-contact@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 48850
Cc: 48850 <at> debbugs.gnu.org, Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Fixed my quoting thanks to mbakke :-)

---

This test fails on filesystems where tail detects that it cannot use
inotify safely. See https://issues.guix.gnu.org/47935 for more details.

* gnu/packages/base.scm (coreutils)[phases]: Disable
  inotify-dir-recreate tests, quote Hurd substitute* call to reduce
  rebuilds.
---
 gnu/packages/base.scm | 16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index d30299a7b6..edc4c4a427 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -378,13 +378,17 @@ used to apply commands with arbitrarily long arguments.")
                        (("/bin/sh") (which "sh")))
                      (substitute* (find-files "tests" "\\.sh$")
                        (("#!/bin/sh") (string-append "#!" (which "sh"))))))
-                 ,@(if (hurd-target?)
-                       `((add-after 'unpack 'remove-tests
-                           (lambda _
-                             (substitute* "Makefile.in"
+                 (add-after 'unpack 'remove-tests
+                   (lambda _
+                     ,@(if (hurd-target?)
+                           '((substitute* "Makefile.in"
                                ;; this test hangs
-                               (("^ *tests/misc/timeout-group.sh.*") "")))))
-                       '()))))
+                               (("^ *tests/misc/timeout-group.sh.*") "")))
+                           '())
+                     (substitute* "Makefile.in"
+                       ;; fails on filesystems where inotify cannot be used,
+                       ;; more info in #47935
+                       (("^ *tests/tail-2/inotify-dir-recreate.sh.*") "")))))))
    (synopsis "Core GNU utilities (file, text, shell)")
    (description
     "GNU Coreutils package includes all of the basic command-line tools that
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48850; Package guix-patches. Full text available.

Message received at 48850 <at> debbugs.gnu.org:


Received: (at 48850) by debbugs.gnu.org; 7 Jun 2021 21:52:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 07 17:52:54 2021
Received: from localhost ([127.0.0.1]:56806 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lqNB0-0004FC-LZ
	for submit <at> debbugs.gnu.org; Mon, 07 Jun 2021 17:52:54 -0400
Received: from wout5-smtp.messagingengine.com ([64.147.123.21]:47463)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1lqNAz-0004Ez-CG
 for 48850 <at> debbugs.gnu.org; Mon, 07 Jun 2021 17:52:53 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 6072D14A7;
 Mon,  7 Jun 2021 17:52:47 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Mon, 07 Jun 2021 17:52:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding; s=fm1; bh=rmkNj4xtgj5aI
 HZlBzXbD2qufBh1+7wf1hOfzyTh3gM=; b=t8SLFG6G1aeYl6HQAprOtJxsIQckC
 13wcgfdeGx6BbeLBS3apxSwvr37AKDKsl7+L2tCQM6FJuzkWSFeO8uyysz7CJWwQ
 sz6quKqLN+b5cLlYqBaQc2pTvbml49WyrKgi4bWHycE0FgBWuBLBp0N1lmLhqMtx
 MnENjRDPF5czhx9sDRCB9m1f4oi7MpxA1ccNRcvP0U9mwZry8zl3rJ/wNLSh8sK4
 4oWW9Tl43dOtRYysS5tMDVxLjLjQxnP5RmAwS2ASXILctysWOHDh80zEU5BJmx3+
 ctUQwReyLyEkH/tw36m8BoQaMm4W2o5e/8WHfcFZNa9jLWxQwNXHJKTEQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :in-reply-to:message-id:mime-version:references:subject:to
 :x-me-proxy:x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=rmkNj4xtgj5aIHZlBzXbD2qufBh1+7wf1hOfzyTh3gM=; b=kzMTGvxM
 mZrjagNzHYr5/C0wHaP9Pk+5U0yjuiI7NNb5VVxfHph9XuO6gzlEkeU12/wg/HqH
 xpFMtLxhOow+h+v2oHuyTnsTDh7d9g5QKInnpsMm01XIhZNY7SoDOmYInDJXlYCu
 eRjyyB4iAO7V+IW4seSZHG6kT4QhPDkis5jRxZv5wW0rMdjAjNqOpJ0HTLJOg+IR
 1TTVlZRC8OsCApLQg7yOevl3wmMdOt911nTVz1Ipwteaw1CjaR3R02j8ZCi2JME/
 xeRk6hOHTtBqodv+vqCy22Sq9E9MyjyPCdbSDMIRJ5G0idWJdNZa88Gt8XajyD7y
 7pdawBD47cqZOg==
X-ME-Sender: <xms:LpW-YPnSjw0vI_thKuLAUO_jE5U1vf-ZIcjB0z_brZM3vHEGRBsErA>
 <xme:LpW-YC2mSrHj3PYEeTJqYdkhQuFmKVtIExy0Vzenjkad3TTu8KDIEpT2d0P40Ee4l
 mkvoKYLhzzro_oBTw>
X-ME-Received: <xmr:LpW-YFqH8bw49FP7wCFZLV6rsvp8HC_Ln0QIQXT3bNmGxRJM6d7jnhhZa5DFh5ITe9WnNEG_>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfedtjedgudeihecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufffkffojghfggfgsedtke
 ertdertddtnecuhfhrohhmpeevrghrlhcuffhonhhguceotghonhhtrggtthestggrrhhl
 ughonhhgrdhmvgeqnecuggftrfgrthhtvghrnhepuefftefhteevgffflefffeevffefgf
 dvgefffffhvdetfeekudffgfeuvdejtdejnecuffhomhgrihhnpehgnhhurdhorhhgnecu
 vehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomheptghonhhtrg
 gtthestggrrhhlughonhhgrdhmvg
X-ME-Proxy: <xmx:LpW-YHnpTIqhJcI9cJUuHdqq6XNJZ3SJMLsD-Yhk1Xdb3UgLS2kzFw>
 <xmx:LpW-YN3iUWJsDw9onAMiWa_8UZQG4UXhSeqfVMmooY3C9FoodIfwmg>
 <xmx:LpW-YGvCUrkxZv-fCS01FD46xJMyC8KrgsIVGzWPqOJACzK-yiT2PQ>
 <xmx:L5W-YO9KwJlKKiUo-wIDDPtMy-RyyOBo1Yi9rIjB1OOp7H4iQEEBqg>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Mon,
 7 Jun 2021 17:52:46 -0400 (EDT)
From: Carl Dong <contact@HIDDEN>
To: ludo@HIDDEN
Subject: [PATCH v2] gnu: coreutils: Disable inotify-dir-recreate test
Date: Mon,  7 Jun 2021 17:50:59 -0400
Message-Id: <20210607215058.3989424-1-contact@HIDDEN>
X-Mailer: git-send-email 2.31.1
In-Reply-To: <878s3onjzl.fsf@HIDDEN>
References: <878s3onjzl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 48850
Cc: 48850 <at> debbugs.gnu.org, Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

> I’d write it like this:
> 
>  (lambda _
>    ,@(if (hurd-target?)
>          '((substitute* …))
>          '())
> 
>    …)

I'm not entirely familiar with the quoting here, but I trust that this is
correct... Does the following patch look okay?

---

This test fails on filesystems where tail detects that it cannot use
inotify safely. See https://issues.guix.gnu.org/47935 for more details.

* gnu/packages/base.scm (coreutils)[phases]: Disable
  inotify-dir-recreate tests.
---
 gnu/packages/base.scm | 18 +++++++++++-------
 1 file changed, 11 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index d30299a7b6..1ab50dfaf9 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -378,13 +378,17 @@ used to apply commands with arbitrarily long arguments.")
                        (("/bin/sh") (which "sh")))
                      (substitute* (find-files "tests" "\\.sh$")
                        (("#!/bin/sh") (string-append "#!" (which "sh"))))))
-                 ,@(if (hurd-target?)
-                       `((add-after 'unpack 'remove-tests
-                           (lambda _
-                             (substitute* "Makefile.in"
-                               ;; this test hangs
-                               (("^ *tests/misc/timeout-group.sh.*") "")))))
-                       '()))))
+                 (add-after 'unpack 'remove-tests
+                   (lambda _
+                     ,@(if (hurd-target?)
+                         '(substitute* "Makefile.in"
+                           ;; this test hangs
+                            (("^ *tests/misc/timeout-group.sh.*") ""))
+                         '())
+                     (substitute* "Makefile.in"
+                       ;; fails on filesystems where inotify cannot be used,
+                       ;; more info in #47935
+                       (("^ *tests/tail-2/inotify-dir-recreate.sh.*") "")))))))
    (synopsis "Core GNU utilities (file, text, shell)")
    (description
     "GNU Coreutils package includes all of the basic command-line tools that
-- 
2.31.1





Information forwarded to guix-patches@HIDDEN:
bug#48850; Package guix-patches. Full text available.

Message received at 48850 <at> debbugs.gnu.org:


Received: (at 48850) by debbugs.gnu.org; 5 Jun 2021 20:18:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 16:18:34 2021
Received: from localhost ([127.0.0.1]:50097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpckc-0007UY-47
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 16:18:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lpckY-0007UF-3b
 for 48850 <at> debbugs.gnu.org; Sat, 05 Jun 2021 16:18:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57620)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lpckS-0005yw-Lo; Sat, 05 Jun 2021 16:18:24 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=36316 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lpckS-0001tB-Cv; Sat, 05 Jun 2021 16:18:24 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carl Dong <contact@HIDDEN>
Subject: Re: bug#48850: [PATCH] gnu: coreutils: Disable inotify-dir-recreate
 test
References: <20210605152645.2562795-1-contact@HIDDEN>
Date: Sat, 05 Jun 2021 22:18:22 +0200
In-Reply-To: <20210605152645.2562795-1-contact@HIDDEN> (Carl Dong's
 message of "Sat, 5 Jun 2021 11:26:45 -0400")
Message-ID: <878s3onjzl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 48850
Cc: 48850 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Carl Dong <contact@HIDDEN> skribis:

> This test fails on filesystems where tail detects that it cannot use
> inotify safely. See #47935 for more details.
>
> * gnu/packages/base.scm (coreutils)[phases]: Disable
>   inotify-dir-recreate tests.

Please write the full bug URL in the commit log and comment; it=E2=80=99s l=
ess
ambiguous, more future-proof, and more convenient.

> -                 ,@(if (hurd-target?)
> -                       `((add-after 'unpack 'remove-tests
> -                           (lambda _
> -                             (substitute* "Makefile.in"
> -                               ;; this test hangs
> -                               (("^ *tests/misc/timeout-group.sh.*") "")=
))))
> -                       '()))))
> +                 (add-after 'unpack 'remove-tests
> +                   (lambda _
> +                     (if ,(hurd-target?)
> +                         (substitute* "Makefile.in"
> +                           ;; this test hangs
> +                           (("^ *tests/misc/timeout-group.sh.*") "")))

I=E2=80=99d write it like this:

  (lambda _
    ,@(if (hurd-target?)
          '((substitute* =E2=80=A6))
          '())

    =E2=80=A6)

That way, the Hurd bit is only expanded when targeting the Hurd, and we
can also adjust it without causing rebuilds on GNU/Linux.

As far as I=E2=80=99m concerned, it=E2=80=99s OK for =E2=80=98core-updates=
=E2=80=99 with these changes!

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#48850; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Jun 2021 15:26:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jun 05 11:26:57 2021
Received: from localhost ([127.0.0.1]:49915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lpYCP-00073j-2r
	for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 11:26:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:37294)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact@HIDDEN>) id 1lpYCM-00073Z-UP
 for submit <at> debbugs.gnu.org; Sat, 05 Jun 2021 11:26:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39232)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contact@HIDDEN>)
 id 1lpYCM-0002pE-L9
 for guix-patches@HIDDEN; Sat, 05 Jun 2021 11:26:54 -0400
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:49695)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <contact@HIDDEN>)
 id 1lpYCK-0003LY-SC
 for guix-patches@HIDDEN; Sat, 05 Jun 2021 11:26:54 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 8E4445C00B6;
 Sat,  5 Jun 2021 11:26:50 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute1.internal (MEProxy); Sat, 05 Jun 2021 11:26:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=carldong.me; h=
 from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding; s=fm1; bh=1lEr97X1BiJsuNZAjD7LDBCNMC
 e93e8ZI6r0eX3Nu9A=; b=liZg2hI2pnSswRdzSeAXi1bM52bHb6g3/lvJvGq6Jx
 NRHGzeNgYEtEVMye2rNuEykd9HvO6hX6uAsHdzbOquBEIyWmPvQ6ZOJzF4WwLOJ+
 FAF89TvmriRpSfd9AZPOuXt+B/BxcXhBoTO1rTsBcF22wBKO+vdNxyzAcAe/f3ch
 2+hpeWy9hDokAeh947oKEvCPOARZnHLXML3ujxMXexkTQH8lSdeHddIvLZON5GfP
 KAdgM1bFXui89NdXjJyLhzU1+eO0t1BclywxIgVUOwqJMVfsImrTP9nFc/JiAiYk
 HqZWqAIOY+i5Ti1kwwsBw30cq1gliGdQ6hrPl8q7Satw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:date:from
 :message-id:mime-version:subject:to:x-me-proxy:x-me-proxy
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=1lEr97X1BiJsuNZAj
 D7LDBCNMCe93e8ZI6r0eX3Nu9A=; b=IKnh/20lNluUb5mgV3NuTxzcqfoPs1LkB
 b4qDjV8VMgaMR0SmWRWaF/DAeySe6Mqz0mhsWF5XG81SZqOpELcLff8AdJjPx7Uy
 WGPBqcSwZ60cBHI6jv1r7DGu0gj9lTnRG1LcohEa9CPccsCyulu8rsA6/JOlvF5F
 hMRm6RduvCVko5BJfhpY44tPLTphhCUmvBNCEgwnLcwVcmprPrL5tTt9hQitJwTQ
 5qEGpi0oQulcpJbtKVcDHr/fZ76/RpLuZEY7b/u8Pn35xWc6PvKVHUIIPPAJsZNB
 P2xx75MJO/pXxKHJEoLT6aLbHsCiOvWcWC83fHWo/rTrw8zzh12CA==
X-ME-Sender: <xms:upe7YKyDHMNIYSmHUAPbxD-Mw19qfjv-WASNyJQVNs-eQRAq_Xv6Mg>
 <xme:upe7YGS09oMJhsxAiT3i66CfhPVCN89H8YMvKUiU1Cet9GnXT7wMHH7IROrzwUGor
 8QoxUlcKzYrvL7lOQ>
X-ME-Received: <xmr:upe7YMX-rNHmYac0VrxfGfusOCnDXvNMlGzMeXcyZ9t0j12XiuSXVrUrBIdjvmxJdW6gC4ti>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrfedtfedgkeejucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufffkofgggfestdekredtre
 dttdenucfhrhhomhepvegrrhhlucffohhnghcuoegtohhnthgrtghtsegtrghrlhguohhn
 ghdrmhgvqeenucggtffrrghtthgvrhhnpeelueeuleelieekffdtueeifeevhfejfffhff
 ejheevleehffffieeigeetjeevkeenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgr
 mhepmhgrihhlfhhrohhmpegtohhnthgrtghtsegtrghrlhguohhnghdrmhgv
X-ME-Proxy: <xmx:upe7YAjkDKwAtrsFTLAXwggLdE6n3H7odccv-OSldEBooE6AnWdewQ>
 <xmx:upe7YMALADp2s9a7sbo-2vsVyd2mPBRv-dg1j0mQ8tHKznWEQW73pw>
 <xmx:upe7YBIdepKpehjZJBZMIyFJVkZMsWZnJJ1LwA4fXSXlj6eBaaX_IA>
 <xmx:upe7YHpPT8-4MQhIwkY8f15_uyhXNPSwzmCZU9lQx-M_lCFAGrnT0A>
Received: by mail.messagingengine.com (Postfix) with ESMTPA; Sat,
 5 Jun 2021 11:26:50 -0400 (EDT)
From: Carl Dong <contact@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] gnu: coreutils: Disable inotify-dir-recreate test
Date: Sat,  5 Jun 2021 11:26:45 -0400
Message-Id: <20210605152645.2562795-1-contact@HIDDEN>
X-Mailer: git-send-email 2.31.1
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=66.111.4.27; envelope-from=contact@HIDDEN;
 helo=out3-smtp.messagingengine.com
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: Carl Dong <contact@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

This test fails on filesystems where tail detects that it cannot use
inotify safely. See #47935 for more details.

* gnu/packages/base.scm (coreutils)[phases]: Disable
  inotify-dir-recreate tests.
---
 gnu/packages/base.scm | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index d30299a7b6..02ac619fac 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -378,13 +378,16 @@ used to apply commands with arbitrarily long arguments.")
                        (("/bin/sh") (which "sh")))
                      (substitute* (find-files "tests" "\\.sh$")
                        (("#!/bin/sh") (string-append "#!" (which "sh"))))))
-                 ,@(if (hurd-target?)
-                       `((add-after 'unpack 'remove-tests
-                           (lambda _
-                             (substitute* "Makefile.in"
-                               ;; this test hangs
-                               (("^ *tests/misc/timeout-group.sh.*") "")))))
-                       '()))))
+                 (add-after 'unpack 'remove-tests
+                   (lambda _
+                     (if ,(hurd-target?)
+                         (substitute* "Makefile.in"
+                           ;; this test hangs
+                           (("^ *tests/misc/timeout-group.sh.*") "")))
+                     (substitute* "Makefile.in"
+                       ;; fails on filesystems where inotify cannot be used,
+                       ;; more info in #47935
+                       (("^ *tests/tail-2/inotify-dir-recreate.sh.*") "")))))))
    (synopsis "Core GNU utilities (file, text, shell)")
    (description
     "GNU Coreutils package includes all of the basic command-line tools that
-- 
2.31.1





Acknowledgement sent to Carl Dong <contact@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#48850; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Jun 2021 20:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.